import { moduleForComponent, test } from 'ember-qunit';
import hbs from 'htmlbars-inline-precompile';

moduleForComponent('bo-doc-locations', 'Integration | Component | bo doc locations', {
  integration: true
});

test('it renders', function(assert) {
  // Set any properties with this.set('myProperty', 'value');
  // Handle any actions with this.on('myAction', function(val) { ... });

  this.render(hbs`{{bo-doc-locations}}`);

  assert.equal(this.$().text().trim(), '');

  // Template block usage:
  this.render(hbs`
    {{#bo-doc-locations}}
      template block text
    {{/bo-doc-locations}}
  `);

  assert.equal(this.$().text().trim(), 'template block text');
});
